=== debian/changelog ===
oasis3 (3.mct+dfsg.121022-16build5) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 26 Jan 2026 20:25:38 +0000

oasis3 (3.mct+dfsg.121022-16build4) plucky; urgency=medium

  * No-change rebuild for libnetcdf22.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 18 Feb 2025 16:09:18 +0000

oasis3 (3.mct+dfsg.121022-16build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:37:56 +0000

oasis3 (3.mct+dfsg.121022-16build2) noble; urgency=high

  * No change rebuild against libnetcdf19t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:44:42 +0100

oasis3 (3.mct+dfsg.121022-16build1) jammy; urgency=medium

  * No-change rebuild against libnetcdf19

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 Oct 2021 10:39:54 +0000

oasis3 (3.mct+dfsg.121022-16) unstable; urgency=medium

  * Invert gfortran conditional to support gf11. Closes: #984264
  * Standards-Version 4.6.0

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 12 Oct 2021 12:27:44 +0000

oasis3 (3.mct+dfsg.121022-15) unstable; urgency=medium

  * FTBFS with gfortran-10 due to new warnings on C/Fortran interface.
    Closes: #947622

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 05 Aug 2020 08:41:46 +0100

oasis3 (3.mct+dfsg.121022-14) unstable; urgency=medium

  * Standards-Version: 4.4.1
  * Mark liboasis3-doc as M-A: foreign
  * Patch from Bas Couwenberg for protex FTBFS. Closes:  #949134
  * Patch to escape chars that break new protex patch

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 03 Feb 2020 14:41:44 +0000

oasis3 (3.mct+dfsg.121022-13) unstable; urgency=medium

  * Standards-Version: 4.2.1
  * Patch from Andreas  Beckmann to ship SONAME link. Closes: #864280

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 23 Oct 2018 10:41:07 +0100

oasis3 (3.mct+dfsg.121022-12) unstable; urgency=medium

  * Standards-Version: 4.1.5
  * Move VCS to salsa.d.o
  * Rebuild for gfortran transition. Closes: #897822

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 28 Jul 2018 17:35:15 +0100

oasis3 (3.mct+dfsg.121022-11) unstable; urgency=medium

  * Standards-Version: 4.1.3
  * Rebuild for gfortran .mod changes for reproduciblity
  * liboasis3-doc now M-A: foreign
  * Drop obsolete Pre-Depends for M-A

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 23 Mar 2018 07:08:07 +0000

oasis3 (3.mct+dfsg.121022-10) unstable; urgency=medium

  * Standards-Version: 4.1.2; no changes required
  * DH_COMPAT level now 10
  * Priority: now optional, not extra

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 19 Dec 2017 15:20:30 +0000

oasis3 (3.mct+dfsg.121022-9) unstable; urgency=medium

  * Ensure ${CHAN} present in symlink. Closes: #827122

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 31 May 2017 16:33:40 +0100

oasis3 (3.mct+dfsg.121022-8) unstable; urgency=medium

  * Fix broken symlink libpsmile.so.0d. Closes: #827122
  * Standards-Version: 3.9.8. No changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 03 May 2017 07:16:56 +0100

oasis3 (3.mct+dfsg.121022-7) unstable; urgency=medium

  * Include patch that was accidentally dropped. Closes: #807818

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 04 Jan 2016 02:16:16 +0000

oasis3 (3.mct+dfsg.121022-6) ubstable; urgency=medium

  * Patch from Reiner Herrmann to make build reproducible.
    Closes: #807818.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 15 Dec 2015 10:58:42 +0000

oasis3 (3.mct+dfsg.121022-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Move from experimental to unstable for netcdf transition.
    (closes: #793920)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 19 Aug 2015 22:58:29 +0200

oasis3 (3.mct+dfsg.121022-5) experimental; urgency=medium

  * Rebuild against libnetcdff-dev (>= 4.4.3) in experimental 

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 29 Jul 2015 05:06:22 +0100

oasis3 (3.mct+dfsg.121022-4) experimental; urgency=medium

  * Rebuild with netcdf 4.3.3 in experimental 

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 15 Jul 2015 19:13:10 +0100

oasis3 (3.mct+dfsg.121022-3) unstable; urgency=medium

  * Rebuild for netcdf, gcc5 transition. Closes: #778031.
  * Now at Standards-Version: 3.9.6. No changes required.
  * Add Vcs-Git pointing to debian-science repo. 

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 08 Jul 2015 21:29:36 +0100

oasis3 (3.mct+dfsg.121022-2) unstable; urgency=medium

  * Fix missing build-dep; need ghostscript not just tex*
   Closes: #759185.
  * Ack. the  removal of unnecessary hdf5 dependency. Closes: #755681.
  * Removal of ${CHAN} from libnames fixes soname/symlink error.
    Closes: #706291.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 25 Aug 2014 20:57:26 +0100

oasis3 (3.mct+dfsg.121022-1) unstable; urgency=medium

  * New upstream release. Now ship just libpsmile,scrip, mct not
  and not a separate executable. Same library linking, though.
  * Standards-Version: 3.9.5
  * Remove unnecessary build-deps on HDF5.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 23 Jul 2014 15:25:06 +0100
