=== debian/control ===
Source: oasis3
Section: science
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: mpi-default-dev, debhelper (>= 9), gfortran, 
 libnetcdf-dev (>= 1:4.3.3.1), libnetcdff-dev,
 libcurl4-gnutls-dev,
 texlive-latex-base, texlive-latex-extra, ghostscript
Standards-Version: 3.9.8
Homepage: http://www.prism.enes.org/PAEs/coupling_IO/software_OASIS3.php
Vcs-Git: git://anonscm.debian.org/debian-science/packages/oasis3.git

Package: liboasis3-0d
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: oasis3
Replaces: oasis3
Description: Shared libraries for OASIS3 coupler
 OASIS3-MCT is a library for exchanging via MPI fields between
 components of climate models, such as atmosphere and ocean models.
 In addition, OASIS can perform interpolation between different grids
 used by the components, via the SCRIP library.
 .
 This package contains the shared libraries used in OASIS3.

Package: liboasis3-dev
Section: libdevel
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, mpi-default-dev, liboasis3-0d (=${binary:Version})
Recommends: oasis3-examples, pkg-config
Description: Development files for OASIS3 climate model coupler
 OASIS3-MCT is a library for exchanging via MPI fields between
 components of climate models, such as atmosphere and ocean models.
 In addition, OASIS can perform interpolation between different grids
 used by the components, via the SCRIP library.
 .
 This package contains development files for building against OASIS3.

Package: liboasis3-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: liboasis3-dev
Description: Documentation and Examples for the OASIS climate model coupler
 OASIS3-MCT is a library for exchanging via MPI fields between
 components of climate models, such as atmosphere and ocean models.
 In addition, OASIS can perform interpolation between different grids
 used by the components, via the SCRIP library.
 .
 This package contains example models and sources for the OASIS3 coupler.
