=== debian/rules ===
#!/usr/bin/make -f

# The magic rule ...
%:
	dh $@

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR:=/usr/lib/${DEB_HOST_MULTIARCH}
LIBDIR_ESC:=\/usr\/lib\/${DEB_HOST_MULTIARCH}
VERSION:= 3+mct+dfsg.121022
CHAN := MPI1

TOP:=$(shell pwd)/
FULLMAKE:=  $(MAKE) -C $(TOP)util/make_dir -f TopMakefileOasis3 \
	ARCH=debian TOP=$(TOP)

override_dh_auto_build:
	$(FULLMAKE) CHAN=${CHAN} default
	# Create pkgconfig files.
	for p in mct.pc  psmile.pc  scrip.pc ; do \
		sed -e  's/@VERSION@/${VERSION}/' -e 's/@LIBDIR@/${LIBDIR_ESC}/' \
		  < debian/$${p}.in > debian/$${p}; \
		done
	# And docs
	$(MAKE) -C  lib/mct/doc 
	cd lib/mct/doc && dvipdf mct_APIs.dvi

override_dh_auto_install:
	mkdir -p debian/tmp/${LIBDIR}
	cp build/lib/libpsmile.${CHAN}.so debian/tmp/${LIBDIR}/libpsmile.${CHAN}.so.0d
	cp build/lib/libscrip.so debian/tmp/${LIBDIR}/libscrip.so.0d
	cp build/lib/*.a debian/tmp/${LIBDIR}
	dh_install -p liboasis3-dev debian/*.pc     ${LIBDIR}/pkgconfig

override_dh_link:
	dh_link -p liboasis3-dev ${LIBDIR}/libscrip.so.0d ${LIBDIR}/libscrip.so
	dh_link -p liboasis3-dev ${LIBDIR}/libpsmile.${CHAN}.a       ${LIBDIR}/libpsmile.a
	dh_link -p liboasis3-dev ${LIBDIR}/libpsmile.${CHAN}.so.0d   ${LIBDIR}/libpsmile.so
	dh_link -p liboasis3-dev /usr/include/psmile.${CHAN}        /usr/include/psmile

override_dh_shlibdeps:
	dh_shlibdeps -l$(TOP)/build/lib/shared

override_dh_fixperms:
	dh_fixperms

override_dh_clean:
	dh_clean
	$(MAKE) -C lib/mct/doc clean
	find . -name '.svn' -exec rm -rf {} \; || echo "Deleting .svn directories"
	rm -rf lib/mct/doc/*.pdf build
	$(FULLMAKE) realclean ARCH=debian || echo "realclean done already"


pkgconfig-files:
